Leopard & XCode

Member
Posts: 38
Joined: 2008.09
Post: #1
With Leopard coming out, it says that it has version of XCode 3...but what exact version? Currently I have 3.1.2, should I install Leopard?
Quote this message in a reply
⌘-R in Chief
Posts: 1,247
Joined: 2002.05
Post: #2
Mac OS X 10.6 is called "Snow Leopard". "Leopard" (10.5) came out over a year ago.

"Should I install Snow Leopard?" - I don't see what this has to do with the developer tools. The developer tools that ship with 10.6 require Snow Leopard. If you specifically want those tools, then you'll have to update. But it's not like the new tools give you some kind of significant benefit over the current tools which should make or break your decision to update to the new version of the OS.

It's kind of a weird question, but let's just assume the answer is "yes."
Quote this message in a reply
Member
Posts: 269
Joined: 2005.04
Post: #3
Do you absolutely have to install Snow Leopard the day it comes out? No.

Will you want to install it in the near future? Yes.

Will you eventually be forced to install it due to the inevitable march of progress and deprecation of older system software? Yes.

Do you have to install it to have access to any new libraries and APIs contained within X.6? Yes.

Will Snow Leopard eventually be required for iPhone development? Most likely.
Quote this message in a reply
Post Reply 

Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  Have I to update from Leopard to Snow Leopard to use iPhone SDK 3.1.2? riruilo 4 3,117 Mar 7, 2010 03:15 AM
Last Post: riruilo